<?php
/*
Plugin Name: Tree Maker
Plugin URI: http://www.koikikukan.com/archives/2007/02/27-002727.php
Description: This plugin displays tree image.
Author: Yujiro Araki
Version: 2.2
Author URI: http://www.koikikukan.com/
Text Domain: wp_tree_maker
Domain Path: /languages
*/ 

wp_enqueue_script('jquery');

function tree_js() {
    $siteurl = get_option('siteurl');
    $header_contents = get_option('tree_maker_header_contents');
    $header_level = get_option('tree_maker_header_level');
    $tree_depth = get_option('tree_maker_depth');
    $header_list = preg_split('/\s*,\s*/',$header_contents);
    if ($tree_depth == true) {
        $depth = "_all";
    }
?>
<link rel="stylesheet" href="<?php echo $siteurl; ?>/wp-content/plugins/wp_tree_maker/wp_tree_maker<?php echo $depth; ?>.css" type="text/css" media="screen" />
</script>

<script type="text/javascript">
jQuery(function(){

<?php
foreach ($header_list as $header) {
?>
    jQuery("<?php echo $header_level; ?> + ul").each(function(){
        if(jQuery(this).prev().html() == '<?php echo $header; ?>') {
            jQuery(this).addClass('tree');
        }
    });
<?php
}
?>
    jQuery("<?php echo $header_level; ?> + ul li:last-child").each(function(){
        jQuery(this).addClass('tree_end');
    });
});
</script>
<?php
}
add_action('wp_head', 'tree_js');

// http://wpdocs.sourceforge.jp/Adding_Administration_Menus
function tree_maker_menu() {
    add_options_page(__('Tree Maker Options', 'wp_tree_maker'), __('Tree Maker', 'wp_tree_maker'), 8, __FILE__, 'tree_maker_options');
}

function tree_maker_options() {
    $opt_name1 = 'tree_maker_header_level';
    $opt_name2 = 'tree_maker_header_contents';
    $opt_name3 = 'tree_maker_depth';
    $hidden = 'tree_maker_hidden';

    $opt_val1 = get_option( $opt_name1 );
    if ($opt_val1 == '') {
        $opt_val1 = 'h3';
    }
    $opt_val2 = get_option( $opt_name2 );
    $opt_val3 = get_option( $opt_name3 );

    if( $_POST[ $hidden ] == 'Y' ) {
        $opt_val1 = $_POST[ $opt_name1 ];
        $opt_val2 = $_POST[ $opt_name2 ];
        $opt_val3 = $_POST[ $opt_name3 ];
        update_option( $opt_name1, $opt_val1 );
        update_option( $opt_name2, $opt_val2 );
        update_option( $opt_name3, $opt_val3 );

        if ($opt_val1 == '') {
            $opt_val1 = 'h3';
        }
?>
<div class="updated"><p><strong><?php _e('Options saved.', 'wp_tree_maker' ); ?></strong></p></div>
<?php
    }
?>

<div class="wrap">
<div id="icon-options-general" class="icon32"><br /></div>
<h2><?php _e( 'Tree Maker Setting', 'wp_tree_maker' ); ?></h2>
<form name="form1" method="post" action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>">
<input type="hidden" name="<?php echo $hidden; ?>" value="Y">

<table class="form-table">
<tbody>
<tr><th>
<label><?php _e('header level', 'wp_tree_maker' ); ?></label>
</th><td>
<input type="text" name="<?php echo $opt_name1; ?>" value="<?php echo $opt_val1; ?>" size="5" />
</td></tr>
<tr><th>
<label><?php _e('header contents', 'wp_tree_maker' ); ?></label>
</th><td>
<input type="text" name="<?php echo $opt_name2; ?>" value="<?php echo $opt_val2; ?>" size="70" />
</td></tr>
<tr><th>
<label><?php _e('Tree all depth', 'wp_tree_maker' ); ?></label>
</th><td>
<input type="checkbox" name="<?php echo $opt_name3; ?>" value="true" <?php if ($opt_val3 == true) { echo 'checked="checked"';} ?> />
</td></tr>
</tbody>
</table>

<p class="submit">
<input class="button-primary" type="submit" name="Submit" value="<?php _e('Update Options', 'wp_tree_maker' ) ?>" />
</p>

</form>
</div>
</div>

<?php
}

add_action('admin_menu', 'tree_maker_menu');

add_action('init', 'wp_tree_maker_init');
function wp_tree_maker_init(){
    load_plugin_textdomain( 'wp_tree_maker', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );
}

?>
